# Market Data (USDT-M)

## USDT-M Perp Futures symbols

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#USDT-M+Perp+Futures+symbols>
{% endhint %}

#### Function Name:

```javascript
getSymbolsUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getSymbolsUM(exchange, options) {
    try {
        let result = await exchange.getSymbolsUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getSymbolsUM(myBingxExchange);
```

## Order Book

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Order+Book>
{% endhint %}

#### Function Name:

```javascript
getOrderBookUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getOrderBookUM(exchange, options) {
    try {
        let result = await exchange.getOrderBookUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getOrderBookUM(myBingxExchange, {
	symbol: "<string>"
});
```

## Recent Trades List

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Recent+Trades+List>
{% endhint %}

#### Function Name:

```javascript
getRecentTradesUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getRecentTradesUM(exchange, options) {
    try {
        let result = await exchange.getRecentTradesUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getRecentTradesUM(myBingxExchange, {
	symbol: "<string>"
});
```

## Mark Price and Funding Rate

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Mark+Price+and+Funding+Rate>
{% endhint %}

#### Function Name:

```javascript
getMarkPriceAndFundingRateUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getMarkPriceAndFundingRateUM(exchange, options) {
    try {
        let result = await exchange.getMarkPriceAndFundingRateUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getMarkPriceAndFundingRateUM(myBingxExchange);
```

## Get Funding Rate History

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Get+Funding+Rate+History>
{% endhint %}

#### Function Name:

```javascript
getFundingRateHistoryUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getFundingRateHistoryUM(exchange, options) {
    try {
        let result = await exchange.getFundingRateHistoryUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getFundingRateHistoryUM(myBingxExchange);
```

## Kline/Candlestick Data

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Kline/Candlestick+Data>
{% endhint %}

#### Function Name:

```javascript
getKlineCandlestickInfoUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getKlineCandlestickInfoUM(exchange, options) {
    try {
        let result = await exchange.getKlineCandlestickInfoUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getKlineCandlestickInfoUM(myBingxExchange, {
	symbol: "<string>",
	interval: "<string>"
});
```

## Open Interest Statistics

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Open+Interest+Statistics>
{% endhint %}

#### Function Name:

```javascript
getOpenInterestStatisticsUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getOpenInterestStatisticsUM(exchange, options) {
    try {
        let result = await exchange.getOpenInterestStatisticsUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getOpenInterestStatisticsUM(myBingxExchange, {
	symbol: "<string>"
});
```

## 24hr Ticker Price Change Statistics

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#24hr+Ticker+Price+Change+Statistics>
{% endhint %}

#### Function Name:

```javascript
get24HrTickerPriceChangeInfoUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function get24HrTickerPriceChangeInfoUM(exchange, options) {
    try {
        let result = await exchange.get24HrTickerPriceChangeInfoUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await get24HrTickerPriceChangeInfoUM(myBingxExchange);
```

## Query historical transaction orders

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Query+historical+transaction+orders>
{% endhint %}

#### Function Name:

```javascript
getHistoricalTransactionOrdersUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getHistoricalTransactionOrdersUM(exchange, options) {
    try {
        let result = await exchange.getHistoricalTransactionOrdersUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getHistoricalTransactionOrdersUM(myBingxExchange);
```

## Symbol Order Book Ticker

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Symbol+Order+Book+Ticker>
{% endhint %}

#### Function Name:

```javascript
getSymbolOrderBookTickerUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getSymbolOrderBookTickerUM(exchange, options) {
    try {
        let result = await exchange.getSymbolOrderBookTickerUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getSymbolOrderBookTickerUM(myBingxExchange, {
	symbol: "<string>"
});
```

## Mark Price Kline/Candlestick Data

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Mark+Price+Kline/Candlestick+Data>
{% endhint %}

#### Function Name:

```javascript
getMarkPriceKlineCandlestickInfoUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getMarkPriceKlineCandlestickInfoUM(exchange, options) {
    try {
        let result = await exchange.getMarkPriceKlineCandlestickInfoUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getMarkPriceKlineCandlestickInfoUM(myBingxExchange, {
	symbol: "<string>",
	interval: "<string>"
});
```

## Symbol Price Ticker

{% hint style="info" %}
Please refer to the official BingX API Docs for the Required parameters.

<https://bingx-api.github.io/docs/#/en-us/swapV2/market-api.html#Symbol+Price+Ticker>
{% endhint %}

#### Function Name:

```javascript
getSymbolPriceTickerUM()
```

#### Usage:

```javascript
import { createExchange } from "./exchanges/exchange.js";

   let myBingxExchange  = createExchange({
      exchange: "bingx",
      authenticate: "false",
      label: "bingx"
  });

async function getSymbolPriceTickerUM(exchange, options) {
    try {
        let result = await exchange.getSymbolPriceTickerUM(options);
        console.log(result);
    } catch (error) {
        console.log(error.message);
    }
}

let result = await getSymbolPriceTickerUM(myBingxExchange);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.compendium.finance/pendax/using-pendax-sdk/bingx-functions/market-data-usdt-m.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
